CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::SHARCSpectrum Class Reference

SHARC spectrum class. More...

`#include <SHARC.h>`

List of all members.

## Public Member Functions
| SHARCSpectrum (char *folder, char *name, unsigned m_key, float n_pitch, float a_pitch, unsigned m_amp, unsigned n_partials)
| ~SHARCSpectrum ()
bool | read_from_file (char *folder, char *name)
unsigned | count_partials ()
void | dump_example ()

## Public Attributes
char * | _note_name
unsigned | _midi_key
float | _nom_pitch
float | _actual_pitch
unsigned | _max_amp
unsigned | _num_partials
Partial ** | _partials

## Detailed Description

SHARC spectrum class.

Definition at line 76 of file SHARC.h.

## Constructor & Destructor Documentation

SHARCSpectrum::SHARCSpectrum | ( | char * | folder,
|  | char * | name,
|  | unsigned | m_key,
|  | float | n_pitch,
|  | float | a_pitch,
|  | unsigned | m_amp,
|  | unsigned | n_partials
| ) |  |

Definition at line 20 of file SHARC.cpp.

References _note_name, _partials, and read_from_file().

SHARCSpectrum::~SHARCSpectrum | ( |  | ) |

Definition at line 30 of file SHARC.cpp.

References _note_name, and _partials.

## Member Function Documentation

bool csl::SHARCSpectrum::read_from_file | ( | char * | folder,
|  | char * | name
| ) |  |

Referenced by SHARCSpectrum().

unsigned SHARCSpectrum::count_partials | ( |  | ) |

Definition at line 83 of file SHARC.cpp.

References _num_partials.

Referenced by csl::SHARCInstrument::count_partials().

void SHARCSpectrum::dump_example | ( |  | ) |

Definition at line 87 of file SHARC.cpp.

References _num_partials, _partials, csl::Partial::amplitude, csl::Partial::number, and csl::Partial::phase.

Referenced by csl::SHARCInstrument::dump_example().

## Member Data Documentation

char* csl::SHARCSpectrum::_note_name

Definition at line 79 of file SHARC.h.

Referenced by csl::SHARCInstrument::dump_example(), SHARCSpectrum(), csl::SHARCInstrument::spectrum_names(), and ~SHARCSpectrum().

unsigned csl::SHARCSpectrum::_midi_key

Definition at line 80 of file SHARC.h.

Referenced by csl::SHARCInstrument::spectrum_keys().

float csl::SHARCSpectrum::_nom_pitch

Definition at line 81 of file SHARC.h.

float csl::SHARCSpectrum::_actual_pitch

Definition at line 82 of file SHARC.h.

Referenced by csl::SHARCInstrument::spectrum_frequencies().

unsigned csl::SHARCSpectrum::_max_amp

Definition at line 83 of file SHARC.h.

unsigned csl::SHARCSpectrum::_num_partials

Definition at line 84 of file SHARC.h.

Referenced by count_partials(), dump_example(), and csl::SumOfSines::SumOfSines().

Partial** csl::SHARCSpectrum::_partials

Definition at line 85 of file SHARC.h.

Referenced by dump_example(), SHARCSpectrum(), csl::SumOfSines::SumOfSines(), and ~SHARCSpectrum().

The documentation for this class was generated from the following files:

- CSL/Sources/SHARC.h
- CSL/Sources/SHARC.cpp